Matomo to end support for Internet Explorer 11

A lot of the Matomo user interface is built on top of a programming framework called “Angular.js”. The support for this framework will end very soon, meaning we have to migrate the Matomo user interface to an alternative framework. The Matomo development team has chosen this new framework to be “Vue.js 3”.

Unfortunately, Vue.js does not support Internet Explorer 11 (IE 11). Therefore, we have to drop the support for IE 11. Many other popular services like Microsoft and WordPress recently did the same. This is happening because IE 11 was released about 8 years ago and is now used by less than 0.5% of the internet. 

When will this change happen?

Our next release (Matomo 4.5) will still support IE 11. It will show a notification in the user interface if you are using Internet Explorer to make you aware of this upcoming change. 

When Matomo 4.6 is released around November 2021, then IE 11 will no longer be supported.

What does “end support” mean?

The Matomo user interface will work less and less over time for people using IE 11 as a browser. While Matomo 4.6 might still mostly work with IE 11, once we migrate more of the user interface the functionality will stop working completely. It’s possible that even Matomo 4.6 will no longer be functional with IE 11 at all.

What should I do now?

If you are impacted by this, then we strongly recommend that you switch to a more modern browser. Preferably a privacy-friendly browser like Mozilla Firefox or Brave. But any modern browser including Microsoft Edge, Safari and Google Chrome will work just fine.

If you can’t use a different browser and you are using Matomo On-Premise, then you can install and configure this new plugin which lets you only receive Matomo core updates that are compatible with IE 11. This will prevent you from accidentally upgrading to a Matomo core release that doesn’t work with IE 11, and you can still receive critical security updates and bug fixes until February 2022.

Will this affect the Matomo JavaScript tracker?

No, all visitors using IE 11 will still be tracked and Matomo tracker will support the same browsers as before. Meaning also some older versions of Internet Explorer are still supported.

Have any questions about this?

Get in touch with us 

Share this post

Share on facebook
Share on twitter
Share on linkedin
Share on print
Share on email